Draft OCA/cs: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 1: Line 1:
<languages/>
<languages/>
{{GuiCommand
===Opening===
|Name=Draft OCA
This function imports OCA/GCAD files. The [http://groups.google.com/group/open_cad_format OCA file format] is community effort to create a free, simple and open CAD file format. OCA is largely based on the GCAD file format generated from [http://www.gcad3d.org/ gCAD3D]. Both formats can be imported in FreeCAD, and the OCA files exported by FreeCAD can be opened in gCAD3D.
|MenuLocation=File → Export → Open CAD format (*.oca)
|Workbenches=[[Draft Workbench|Draft]]
|Shortcut=Ctrl+E
|SeeAlso=[[Draft SVG]], [[Draft DXF]]
|Empty=1
}}

== Description ==
This function imports OCA/GCAD files. The [http://groups.google.com/group/open_cad_format OCA file format] is community effort to create a free, simple and open CAD file format.

OCA is largely based on the GCAD file format generated from [http://www.gcad3d.org/ gCAD3D]. Both formats can be imported in FreeCAD, and the OCA files exported by FreeCAD can be opened in gCAD3D.

== Opening ==


The following OCA objects get imported at the moment:
The following OCA objects get imported at the moment:
Line 8: Line 21:
* Closed areas
* Closed areas


===Importing===
== Importing ==
Works the same way as opening but creates the objects in the active document instead of creating a new one.
Works the same way as opening but places the objects in the active document instead of creating a new one.


===Exporting===
== Exporting ==
Objects that can be exported at the moment:
Objects that can be exported at the moment:
* Lines and wires (polylines)
* Lines and wires (polylines)
Line 17: Line 30:
* Faces
* Faces


===Preferences===
== Preferences ==
The following parameters can be specified in the [[Draft Preferences]] tab (menu Edit -> Preferences -> Draft):
The following parameters can be specified in the [[Draft Preferences]] tab (menu Edit -> Preferences -> Draft):
* Import closed areas or not
* Import closed areas or not


== Scripting ==
[[Category:User Documentation/cs]]
{{Emphasis|See also:}} [[Draft API]] and [[FreeCAD Scripting Basics]].


You can export elements to OCA by using the following function:
{{Code|code=
importOCA.export(exportList, filename)
}}

Example:
{{Code|code=
import FreeCAD, Draft, importOCA

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 1000, 0)
p3 = FreeCAD.Vector(2200, 1500, 0)
p4 = FreeCAD.Vector(2500, -100, 0)

obj1 = Draft.makeWire([p1, p2, p3, p4])
obj2 = Draft.makeWire([p1, -2.3*p2, -0.8*p3, -1.8*p4])

objects = [obj1, obj2]

importOCA.export(objects, "/home/user/Pictures/myfile.oca")
}}

<div class="mw-translate-fuzzy">
[[Category:User Documentation/cs]]
</div>
{{clear}}
{{clear}}

Revision as of 20:23, 23 January 2019

Draft OCA

Menu location
File → Export → Open CAD format (*.oca)
Workbenches
Draft
Default shortcut
Ctrl+E
Introduced in version
-
See also
Draft SVG, Draft DXF

Description

This function imports OCA/GCAD files. The OCA file format is community effort to create a free, simple and open CAD file format.

OCA is largely based on the GCAD file format generated from gCAD3D. Both formats can be imported in FreeCAD, and the OCA files exported by FreeCAD can be opened in gCAD3D.

Opening

The following OCA objects get imported at the moment:

  • Lines
  • Arcs and Circles
  • Closed areas

Importing

Works the same way as opening but places the objects in the active document instead of creating a new one.

Exporting

Objects that can be exported at the moment:

  • Lines and wires (polylines)
  • Arcs and circles
  • Faces

Preferences

The following parameters can be specified in the Draft Preferences tab (menu Edit -> Preferences -> Draft):

  • Import closed areas or not

Scripting

See also: Draft API and FreeCAD Scripting Basics.

You can export elements to OCA by using the following function:

importOCA.export(exportList, filename)

Example:

import FreeCAD, Draft, importOCA

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 1000, 0)
p3 = FreeCAD.Vector(2200, 1500, 0)
p4 = FreeCAD.Vector(2500, -100, 0)

obj1 = Draft.makeWire([p1, p2, p3, p4])
obj2 = Draft.makeWire([p1, -2.3*p2, -0.8*p3, -1.8*p4])

objects = [obj1, obj2]

importOCA.export(objects, "/home/user/Pictures/myfile.oca")